Name:          python-scrapy
Version:       1.1.2
Release:       1mamba
Summary:       A high-level Python Screen Scraping framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://scrapy.org/
Source:        http://pypi.debian.net/Scrapy/Scrapy-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-twisted
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Scrapy is a fast high-level screen scraping and web crawling framework, used to crawl websites and extract structured data from their pages.
It can be used for a wide range of purposes, from data mining to monitoring and automated testing.

%prep
%setup -q -n Scrapy-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc AUTHORS LICENSE

%changelog
* Sun Sep 18 2016 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Thu Aug 04 2016 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Wed Dec 18 2013 Automatic Build System <autodist@mambasoft.it> 0.20.2-1mamba
- automatic update by autodist

* Mon Sep 09 2013 Automatic Build System <autodist@mambasoft.it> 0.18.2-1mamba
- automatic update by autodist

* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 0.18.1-1mamba
- automatic update by autodist

* Sun Aug 11 2013 Automatic Build System <autodist@mambasoft.it> 0.18.0-1mamba
- automatic update by autodist

* Sun Jun 09 2013 Automatic Build System <autodist@mambasoft.it> 0.16.5-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.4-2mamba
- python 2.7 mass rebuild

* Wed Jan 23 2013 Automatic Build System <autodist@mambasoft.it> 0.16.4-1mamba
- automatic version update by autodist

* Tue Jan 08 2013 Automatic Build System <autodist@mambasoft.it> 0.16.3-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Automatic Build System <autodist@mambasoft.it> 0.16.2-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic version update by autodist

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic version update by autodist

* Sun Sep 11 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.12.0.2548-1mamba
- package created by autospec
